Package org.apache.synapse.transport.nhttp.util

# Class GzipMessageFormatterDecorator

java.lang.Object
org.apache.synapse.transport.nhttp.util.GzipMessageFormatterDecorator

All Implemented Interfaces:
  `org.apache.axis2.transport.MessageFormatter`

public class GzipMessageFormatterDecorator extends Object implements org.apache.axis2.transport.MessageFormatter
This is the decorator for message formatter and it is need because there isn't any mechanism that can process the message before formatting is occurred. For handle 'Accept-Encoding' some kind of this is required. This decorator encapsulates the message formatter and add the whatever functionally when as required without effecting message formatter functionality. This enable to serialize message in Gzip format .

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GzipMessageFormatterDecorator(org.apache.axis2.transport.MessageFormatter messageFormatter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `formatSOAPAction(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)`
  `byte[]`
  `getBytes(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format)`
  `String`
  `getContentType(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)`
  `URL`
  `getTargetAddress(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, URL targetURL)`
  `void`
  `writeTo(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, OutputStream outputStream, boolean preserve)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GzipMessageFormatterDecorator

    public GzipMessageFormatterDecorator(org.apache.axis2.transport.MessageFormatter messageFormatter)

- ## Method Details

  - ### getBytes

    public byte[] getBytes(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format) throws org.apache.axis2.AxisFault
    Specified by:
      `getBytes` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### writeTo

    public void writeTo(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, OutputStream outputStream, boolean preserve) throws org.apache.axis2.AxisFault
    Specified by:
      `writeTo` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getContentType

    public String getContentType(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)
    Specified by:
      `getContentType` in interface `org.apache.axis2.transport.MessageFormatter`

  - ### getTargetAddress

    public URL getTargetAddress(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, URL targetURL) throws org.apache.axis2.AxisFault
    Specified by:
      `getTargetAddress` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### formatSOAPAction

    public String formatSOAPAction(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)
    Specified by:
      `formatSOAPAction` in interface `org.apache.axis2.transport.MessageFormatter`